security/p5-Crypt-CBC - The NetBSD Packages Collection

Perl5 cipher block chaining mode for various crypto algorithms

This is Crypt::CBC, a Perl-only implementation of the cryptographic
cipher block chaining mode (CBC).  In combination with a block cipher
such as Crypt::DES or Crypt::IDEA, you can encrypt and decrypt
messages of arbitrarily long length.  The encrypted messages are
compatible with the encryption format used by SSLeay.

In addition to this module you will need to install the MD5 module,
and one or more of the Crypt::DES, Crypt::IDEA, or Crypt::Blowfish
modules.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

math/p5-Math-Int128 security/p5-Crypt-PBKDF2 security/p5-CryptX lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0i386p5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0i386p5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0i386p5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 8.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0aarch64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0aarch64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0aarch64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0alphap5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0alphap5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0alphap5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv6hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv6hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv6hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv6hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0earmv7hfp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0i386p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0i386p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0i386p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0m68kp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0m68kp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0m68kp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0mips64ebp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0mips64ebp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0mips64ebp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0mipselp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0mipselp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0powerpcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sh3elp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sh3elp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sh3elp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sparc64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sparc64p5-Crypt-CBC-2.33nb7.tgz
NetBSD 9.0sparc64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sparc64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sparcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sparcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0sparcp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0vaxp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0vaxp5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz
NetBSD 9.0x86_64p5-Crypt-CBC-2.33nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.